#ifndef PUFFER_GROESSE
  #define PUFFER_GROESSE 65536
#endif

#ifndef KEIN_FEHLER
  #define KEIN_FEHLER 0
  #define DATEI_ENDE (-1)
  #define LESE_FEHLER (-2)
  #define FALSCHER_MODUS (-3)
  #define SCHREIB_FEHLER (-4)
  #define NICHT_SCHLIESSBAR (-5)
  #define MEDIUM_VOLL (-6)
#endif

struct datei
{
  BPTR  datei_zeiger;
  UBYTE *puffer_zeiger;
  ULONG puffer_groesse;
  ULONG akt_position;
  ULONG puffer_voelle;
  ULONG modus;
};


// Prototypes:
struct datei *__asm oeffne_datei(register __a6 struct UUCPBase *,
                                 register __a0 char *,
                                 register __d1 ULONG);

LONG __asm hole_zeichen (register __a6 struct UUCPBase *,
                         register __a0 struct datei *,
                         register __a1 char *,
                         register __d1 ULONG);

LONG __asm schliesse_datei(register __a6 struct UUCPBase *,
                           register __a0 struct datei *);

LONG __asm schreibe_zeichen(register __a6 struct UUCPBase *,
                            register __a0 struct datei *,
                            register __a1 char *,
                            register __d1 ULONG anzahl);

WORD __asm hole_byte (register __a6 struct UUCPBase *,
                      register __a0 struct datei *);

LONG __asm schreibe_byte(register __a6 struct UUCPBase *,
                         register __a0 struct datei *,
                         register __d1 UBYTE);
